Members
Retrieve a member
GET
/
members
/
{id}
Retrieve a member
curl --request GET \
--url https://{domain}/api/site/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/members/{id}"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "John Doe",
"email": "john@doe.com",
"groups": [
59,
98
],
"registeredOn": 1587489771,
"approved": true,
"contactId": 147,
"billingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
}
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the member.
Example:
111
Response
A single member.
Unique identifier.
Example:
123
Member name.
Example:
"John Doe"
Email of the member.
Example:
"john@doe.com"
Member group id(s) to which the member belongs.
Example:
[59, 98]
Timestamp in Unix seconds since epoch.
Example:
1587489771
Member approval status.
Contact ID of the member.
Example:
147
A billing or shipping address.
Show child attributes
Show child attributes
A billing or shipping address.
Show child attributes
Show child attributes
Last modified on September 2, 2026
Was this page helpful?
⌘I
Retrieve a member

